Tp::Service::ChannelTypeRoomListAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | List of all members
Tp::Service::ChannelTypeRoomListAdaptor Class Reference
Channel service implementation

`#include <TelepathyQt/_gen/svc-channel.h>`

Inherits Tp::AbstractAdaptor.

## Public Slots
bool | GetListingRooms (const QDBusMessage &dbusMessage)
void | ListRooms (const QDBusMessage &dbusMessage)
void | StopListing (const QDBusMessage &dbusMessage)

## Signals
void | GotRooms (const Tp::RoomInfoList &rooms)
void | ListingRooms (bool listing)

## Public Member Functions
QString | Server () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Type.RoomList".

## Member Function Documentation

QString Tp::Service::ChannelTypeRoomListAdaptor::Server | ( |  | ) | const

Return the value of the exported D-Bus object property `Server` of type `QString`.

Adaptees should export this property as a Qt property named 'server' with type QString.

For protocols with a concept of chatrooms on multiple servers with different DNS names (like XMPP), the DNS name of the server whose rooms are listed by this channel, e.g. "conference.jabber.org". Otherwise, the empty string. This property cannot change during the lifetime of the channel.

Returns
  The value of exported property `Server`.

bool Tp::Service::ChannelTypeRoomListAdaptor::GetListingRooms | ( | const QDBusMessage & | dbusMessage | ) |
| slot

Begins a call to the exported D-Bus method `GetListingRooms` on this object.

Adaptees should export this method as a Qt slot with the following signature: void getListingRooms(const Tp::Service::ChannelTypeRoomListAdaptor::GetListingRoomsContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Check to see if there is already a room list request in progress on this channel.

Returns

      A boolean indicating if room listing is in progress

void Tp::Service::ChannelTypeRoomListAdaptor::ListRooms | ( | const QDBusMessage & | dbusMessage | ) |
| slot

Begins a call to the exported D-Bus method `ListRooms` on this object.

Adaptees should export this method as a Qt slot with the following signature: void listRooms(const Tp::Service::ChannelTypeRoomListAdaptor::ListRoomsContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Request the list of rooms from the server. The ListingRooms (True) signal should be emitted when this request is being processed, GotRooms when any room information is received, and ListingRooms (False) when the request is complete.

void Tp::Service::ChannelTypeRoomListAdaptor::StopListing | ( | const QDBusMessage & | dbusMessage | ) |
| slot

Begins a call to the exported D-Bus method `StopListing` on this object.

Adaptees should export this method as a Qt slot with the following signature: void stopListing(const Tp::Service::ChannelTypeRoomListAdaptor::StopListingContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Stop the room listing if it's in progress, but don't close the channel. The ListingRooms (False) signal should be emitted when the listing stops.

void Tp::Service::ChannelTypeRoomListAdaptor::GotRooms | ( | const Tp::RoomInfoList & | rooms | ) |
| signal

Represents the exported D-Bus signal `GotRooms` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void gotRooms(const Tp::RoomInfoList& rooms);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  rooms | An array of structs containing: an integer room handle a string representing the D-Bus interface name of the channel type a dictionary mapping string keys to variant boxed information

void Tp::Service::ChannelTypeRoomListAdaptor::ListingRooms | ( | bool | listing | ) |
| signal

Represents the exported D-Bus signal `ListingRooms` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void listingRooms(bool listing);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  listing |
      A boolean indicating if room listing is in progress